id: d6_user_role
label: User roles
migration_tags:
  - Drupal 6
  - Configuration
source:
  plugin: d6_user_role
process:
  id:
    -
      plugin: machine_name
      source: name
    -
      plugin: user_update_8002
  label: name
  permissions:
    -
      plugin: static_map
      source: permissions
      bypass: true
      map:
        'use PHP for block visibility': 'use PHP for settings'
        'administer site-wide contact form': 'administer contact forms'
        'post comments without approval': 'skip comment approval'
        'edit own blog entries': 'edit own blog content'
        'edit any blog entry': 'edit any blog content'
        'delete own blog entries': 'delete own blog content'
        'delete any blog entry': 'delete any blog content'
        'create forum topics': 'create forum content'
        'delete any forum topic': 'delete any forum content'
        'delete own forum topics': 'delete own forum content'
        'edit any forum topic': 'edit any forum content'
        'edit own forum topics': 'edit own forum content'
    - plugin: system_update_7000
    - plugin: node_update_7008
    - plugin: flatten
    - plugin: filter_format_permission
destination:
  plugin: entity:user_role
migration_dependencies:
  required:
    - d6_filter_format
  optional:
    - block_content_type
    - contact_category
    - d6_comment_type
    - d6_node_type
    - d6_taxonomy_vocabulary
    - d6_taxonomy_vocabulary_translation
